from django.urls import path

from . import views

app_name = "products"

urlpatterns = [
    path("", views.ProductOverviewView.as_view(), name="overview"),
    path(
        "<slug:main_slug>/",
        views.MainProductDetailView.as_view(),
        name="main_product_detail",
    ),
    path(
        "<slug:main_slug>/<slug:sub_slug>/versions/",
        views.SubProductOlderVersionsView.as_view(),
        name="sub_product_versions",
    ),
    path(
        "<slug:main_slug>/<slug:sub_slug>/",
        views.SubProductDetailView.as_view(),
        name="sub_product_detail",
    ),
]
